#
#  Makefile for configuration files.
#
#  Copyright (c) 1998-2001 by Sun Microsystems, Inc.
#  All rights reserved.
#
#	@(#)Makefile	8.15 (Berkeley) 3/29/98
#	@(#)Makefile	1.9 (Sun) 06/26/01
#	ident	"@(#)Makefile	1.9	01/06/26 SMI"
#

#
#  Create configuration files using "m4 ../m4/cf.m4 file.mc > file.cf"
#  of "/usr/ccs/bin/make file.cf"; these may be easier than tweaking the
#  Makefile.  Also, updates will over-write any changes to the Makefile.
#  You do need to have a fairly modern M4 available (GNU m4 works).  On
#  Solaris, use /usr/ccs/bin/m4.
#

M4=	/usr/ccs/bin/m4
CFDIR=	..
MV=	/usr/bin/mv
RM=	/usr/bin/rm -f

.SUFFIXES:  .mc .cf

.mc.cf:
	test ! -f $@ || $(MV) $@ $@.prev
	$(M4) ${CFDIR}/m4/cf.m4 $*.mc > $@

ALL=	main-v7sun.cf subsidiary-v7sun.cf

all: $(ALL)

clean cleandir:
	$(RM) $(ALL) core

depend install: 

# this is overkill, but....
M4FILES=\
	${CFDIR}/domain/generic.m4 \
	${CFDIR}/domain/solaris-generic.m4 \
	${CFDIR}/feature/accept_unqualified_senders.m4 \
	${CFDIR}/feature/accept_unresolvable_domains.m4 \
	${CFDIR}/feature/access_db.m4 \
	${CFDIR}/feature/allmasquerade.m4 \
	${CFDIR}/feature/always_add_domain.m4 \
	${CFDIR}/feature/bestmx_is_local.m4 \
	${CFDIR}/feature/bitdomain.m4 \
	${CFDIR}/feature/blacklist_recipients.m4 \
	${CFDIR}/feature/delay_checks.m4 \
	${CFDIR}/feature/dnsbl.m4 \
	${CFDIR}/feature/domaintable.m4 \
	${CFDIR}/feature/generics_entire_domain.m4 \
	${CFDIR}/feature/genericstable.m4 \
	${CFDIR}/feature/ldap_routing.m4 \
	${CFDIR}/feature/limited_masquerade.m4 \
	${CFDIR}/feature/local_lmtp.m4 \
	${CFDIR}/feature/loose_relay_check.m4 \
	${CFDIR}/feature/mailertable.m4 \
	${CFDIR}/feature/masquerade_entire_domain.m4 \
	${CFDIR}/feature/masquerade_envelope.m4 \
	${CFDIR}/feature/no_default_msa.m4 \
	${CFDIR}/feature/nocanonify.m4 \
	${CFDIR}/feature/nodns.m4 \
	${CFDIR}/feature/notsticky.m4 \
	${CFDIR}/feature/nouucp.m4 \
	${CFDIR}/feature/promiscuous_relay.m4 \
	${CFDIR}/feature/rbl.m4 \
	${CFDIR}/feature/redirect.m4 \
	${CFDIR}/feature/relay_based_on_MX.m4 \
	${CFDIR}/feature/relay_entire_domain.m4 \
	${CFDIR}/feature/relay_hosts_only.m4 \
	${CFDIR}/feature/relay_local_from.m4 \
	${CFDIR}/feature/relay_mail_from.m4 \
	${CFDIR}/feature/smrsh.m4 \
	${CFDIR}/feature/stickyhost.m4 \
	${CFDIR}/feature/use_ct_file.m4 \
	${CFDIR}/feature/use_cw_file.m4 \
	${CFDIR}/feature/uucpdomain.m4 \
	${CFDIR}/feature/virtuser_entire_domain.m4 \
	${CFDIR}/feature/virtusertable.m4 \
	${CFDIR}/m4/cf.m4 \
	${CFDIR}/m4/cfhead.m4 \
	${CFDIR}/m4/proto.m4 \
	${CFDIR}/m4/version.m4 \
	${CFDIR}/mailer/local.m4 \
	${CFDIR}/mailer/smtp.m4 \
	${CFDIR}/mailer/uucp.m4 \
	${CFDIR}/ostype/solaris2.m4 \
	${CFDIR}/ostype/solaris2.ml.m4 \
	${CFDIR}/ostype/solaris2.pre5.m4 \
	${CFDIR}/ostype/solaris8.m4

$(ALL):  $(M4FILES)
